/* https://codepen.io/lewismcarey/pen/GJZVoG*/
:root {
  --duration: 30s;
}

@-webkit-keyframes ticker {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    visibility: visible;
  }

  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }
}

@keyframes ticker {
  0% {
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    visibility: visible;
  }

  100% {
    -webkit-transform: translate3d(-100%, 0, 0);
    transform: translate3d(-100%, 0, 0);
  }
}

body { padding-top: 5rem; }
h1,h2,p {padding: 0 5%;}

.ticker-wrap {
  position: fixed;
  top: 1%;
  width: 100%;
  overflow: hidden;
  height: 4rem;
  background-color: rgba(#000, 0.9); 
  padding-left: 100%;
  box-sizing: content-box;
}

.ticker:hover { animation-play-state: paused; }

 .ticker-wrap .ticker {

    display: inline-block;
    height: 4rem;
    line-height: 4rem;  
    white-space: nowrap;
    padding-right: 100%;
    box-sizing: content-box;

    -webkit-animation-iteration-count: infinite; 
            animation-iteration-count: infinite;
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
   -webkit-animation-name: ticker;
           animation-name: ticker;
    -webkit-animation-duration: var(--duration);
            animation-duration: var(--duration);
  }
  .ticker .ticker__item {
    display: inline-block;
  }
  
  img.ticker__item {
    height:38px;}
  
  .ticker-tall {
    height: 50px;
  }